import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:flutter/src/widgets/placeholder.dart';

class INdexPage extends StatefulWidget {
  const INdexPage({super.key});

  @override
  State<INdexPage> createState() => _INdexPageState();
}

class _INdexPageState extends State<INdexPage> {
  List<String> _list = <String>[];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Placeholder(),
        appBar: AppBar(
          title: Text('Index Page'),
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: () {
            setState(() {
              _list.add('Item ${_list.length}');
            });
          },
          tooltip: 'Add Item',
          child: const Icon(Icons.add),
        ),
        bottomNavigationBar: BottomNavigationBar(
          items: const <BottomNavigationBarItem>[
            BottomNavigationBarItem(
              icon: Icon(Icons.home),
              label: 'Home',
            ),
            BottomNavigationBarItem(
              icon: Icon(Icons.business),
              label: 'Message',
            ),
            BottomNavigationBarItem(
              icon: Icon(Icons.school),
              label: 'Mine',
            ),
          ],
        ));
  }
}
